Bug 1217380 - Deadlock on GlobalComponentRegistry when starting a cluster
Summary: Deadlock on GlobalComponentRegistry when starting a cluster
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER4
: 6.5.0
Assignee: Dan Berindei
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-30 09:17 UTC by Matej Čimbora
Modified: 2015-06-23 12:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When starting cluster with multiple nodes concurrently, deadlock on GlobalComponentRegistry appears sporadically, which prevents the nodes from starting completely. The workaround is to start servers sequentially.
Clone Of:
Environment:
Last Closed: 2015-06-23 12:26:04 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-5106 Critical Resolved Deadlock on GlobalComponentRegistry when starting a cluster 2015-10-19 07:55:34 UTC

Description Matej Čimbora 2015-04-30 09:17:08 UTC
See attached JIRA.

Comment 1 Matej Čimbora 2015-04-30 09:18:00 UTC
Observed in JDG 6.5.0 ER3.


Note You need to log in before you can comment on or make changes to this bug.